Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187651 - Change the sequence of profiler checks
Change the sequence of profiler checks
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
6.x
All All
: P2 (vote)
: 7.0
Assigned To: issues@profiler
issues@profiler
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 11:43 UTC by Radko Najman
Modified: 2010-07-22 12:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Radko Najman 2010-06-16 11:43:51 UTC
Please change the sequence of profiler checks in AntActions.doProfileProject(...) method, branch B to following sequence:

---------
// 2. check if the project has been modified for profiling
if (!ptp.checkProjectIsModifiedForProfiler(project)) {
    return; // something failed - has already been reported to the user
}

// 3. determine Java platform to use
final JavaPlatform platform = initPlatform(project, ptp);

if (platform == null) {
    return; // user already notified
}
---------

This change is required by Java ME SDK Tools modules. Java ME SDK profiler does not need to specify Java platform for profiling ME applications so the dialog shown by initPlatform(...) method is confusing for users. Sequence change can solve this issue.
This fix is important for Java ME SDK 3.1 release and is requested for NetBeans 6.9.1.

Please make also org.netbeans.modules.javame.profiler.j2me module friend of Java Profiler module.

Thanks.
Comment 1 Jiri Sedlacek 2010-06-16 12:42:25 UTC
All described bugs are now fixed in profiler-main.

http://hg.netbeans.org/profiler-main/rev/9021d2714594
Comment 2 Quality Engineering 2010-06-18 03:21:12 UTC
Integrated into 'main-golden', will be available in build *201006180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9021d2714594
User: Jiri Sedlacek <jis@netbeans.org>
Log: Bugfix #187651 - change order of configuration steps when profiling a project
Comment 3 Jiri Sedlacek 2010-06-21 12:26:15 UTC
Fixed.
Comment 4 Radko Najman 2010-06-21 12:36:27 UTC
Verified.
Comment 5 rbalada 2010-06-21 13:13:27 UTC
transplanted to release691 #0bdfe3c33367
Comment 6 Tomas Hurka 2010-07-22 12:01:24 UTC
verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo